Bug Hunting Session
Bug 51508 - OLE text objects in Draw change aspect ratio when resized while open for editing (summary: comment 34)
Summary: OLE text objects in Draw change aspect ratio when resized while open for edit...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: notBibisectable, regression
Depends on:
Blocks: OLE-Objects
  Show dependency treegraph
 
Reported: 2012-06-28 00:38 UTC by kitaets
Modified: 2018-09-19 02:51 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshots of the described four steps (628.02 KB, application/zip)
2012-06-28 00:38 UTC, kitaets
Details
Writer OLE object in LibO 3.5.5.3 Draw (24.73 KB, image/png)
2012-07-14 12:27 UTC, kitaets
Details
ODP after described four steps (16.94 KB, application/vnd.oasis.opendocument.presentation)
2012-07-14 22:26 UTC, kitaets
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kitaets 2012-06-28 00:38:16 UTC
Created attachment 63549 [details]
Screenshots of the described four steps

Problem description: 

Steps to reproduce:
1. Create four snap lines to have a rectangle.
2. Place the Writer text (OLE object) in the rectangle, change its size to fit the rectangle and write some text to have a paragraph of several lines.
3. Click somewhere outside the OLE object to finish editing.
4. Double-click OLE object again to edit it.

Current behavior:
1. On step 2 Writer text become squeezed.
2. On step 3 OLE object changes the size and Writer text goes out of the rectangle.
3. On step 4 OLE object changes the size and position again.

Expected behavior:
No squeezing. No self-resizing. No position change.

Platform (if different from the browser): 
Win32 & Ubuntu
              
Browser: Opera/9.80 (X11; Linux i686; U; ru) Presto/2.10.289 Version/12.00
Comment 1 Valek Filippov 2012-07-05 16:47:29 UTC
*** Bug 48409 has been marked as a duplicate of this bug. ***
Comment 2 kitaets 2012-07-06 11:54:25 UTC
I have tested in 3.5.5rc3 and 3.6.0.0.beta3 and saw the same issue.
Comment 3 Valek Filippov 2012-07-06 13:09:37 UTC
Based on kitaets comment in 48409 it works fine in ver 3.3.4, hence 'regression' keyword.
Comment 4 Valek Filippov 2012-07-06 13:18:07 UTC
Verified with LibreOffice 3.5.3.2 350m1(Build:2)
Comment 5 kitaets 2012-07-13 16:10:55 UTC
In 3.5.5 release (3.5.5.3) still doesn't work. Still no one can use Writer OLE object in presentation.
Comment 6 kitaets 2012-07-13 16:27:52 UTC
I have changed the summary and importance after I've tried to insert Writer OLE object to drawing document. There is the same bug. I've also tried to insert one to spreadsheet and it was also ridiculous but slightly another way. 
Sorry if I done something wrong, the importance field is not described on help page. But if this bug completely stops you from using the release, it has the highest importance imho.
Comment 7 Rainer Bielefeld Retired 2012-07-14 11:23:12 UTC
I can't reproduce the problem with "LibreOffice  3.5.5.3  English UI/ German Locale  [Build-ID: 27122e39-92ed229-498d286-15e43b4-d70da21] on German WIN7 Home Premium (64bit) and an own sample created with 3.4.5. Control points kept "glued"

I will check Bug 48409, what seems to have a more useful test kit, soon. 

@Valek:
Please contribute information concerning your OS

@Valek, kitaets
Please test whether other Ole objects are affected the same way.
Comment 8 Rainer Bielefeld Retired 2012-07-14 11:55:46 UTC
@kitaets
Due to my results in Bug 48409 I have the suspect that the very similar symptoms might have different roots. Did you submit this Bug with intention because you see indicatioons that the problem here might be different from Bug 48409?
Please attach a sample document.
Comment 9 Valek Filippov 2012-07-14 12:10:21 UTC
Rainer,
linux x86 is here.

As far as I understood on a Russian linux community blog, kitaets created two bugs because he was not aware that both will end-up in the same bugzilla and he had no response for the 1st one created.
So, my understanding is that from his point of view it's two bugs opened for one problem. That's why I marked one of them as a duplicate.

kitaets, could you confirm what was your intention?
Comment 10 kitaets 2012-07-14 12:27:26 UTC
Created attachment 64200 [details]
Writer OLE object in LibO 3.5.5.3 Draw

LibreOffice 3.5.5.3 (Draw) English UI on English WinXP (32bit)
Comment 11 kitaets 2012-07-14 12:28:12 UTC
Please look at the new screenshot.
Spreadsheet and chart OLE objects are affected but another way: they change place if you change size. Tested with the same Draw@WinXP32.
Comment 12 kitaets 2012-07-14 12:52:31 UTC
@Rainer, Valek
Yes, I wrote on a Russian linux community blog about this bug.
At first I created report "Bug 48409" on this site (because I have several documents that I can't edit with new releases).
Several months later I saw that nothing changed and thought that this is not the right place for LibO bugs. Futhermore I noticed that it's impossible to create new OLE objects in new documents. So I created a new bugreport on official LibO site and was surprised finding out that it was created here.
I think that these bugs are the same bug because I can create and edit OLE objects with 3.3.4 and can not with newer releases.
Comment 13 kitaets 2012-07-14 12:56:36 UTC
@Rainer
Sorry, I haven't understood what sample document you need.
Comment 14 kitaets 2012-07-14 15:01:20 UTC
I've corrected the misprint in Summary field.

@Rainer
Is it correct that you set Component field to "Database"?
Comment 15 Rainer Bielefeld Retired 2012-07-14 15:36:34 UTC
Has nothing to do with data base

I removed from MAB because it's not a good Idea to bore losts of developers with our discussion here.

May be I completely misunderstood the intended report. During my tests I found a horrible bunch of possible and real problems, we sill have to do some workout. 

Further discussion please based on attachment 59613 [details]!

@kitaets
Am I right that the original problem is as following:
0. Open attachment, check OLE object position and size:
   > x:20  y:141  w:170  h:143 (all: mm)  
1. double click the OLE Text object in attachment 59613 [details] for Bug 48409 
   > Edit mode
2. Click somewhere far away from Ole object
   Expected: all looks as in step 0
   Actual: Position and size of OLE text object still ist the same, but the
           focus on the text inside the object has moved. So now the text 
           is visible more to the bottom and right slide margin. Additional
           Effect:  The text within contour correctly shows formatting 
           "Background", but outside the contour only unformatted text is 
           visible

Concerning your question: A sample document is a document (here Drawing or Presentation) what other users can use to reproduce the problem. Your attachment "Writer OLE object in LibO 3.5.5.3 Draw " is a screenshot.
Comment 16 kitaets 2012-07-14 22:26:44 UTC
Created attachment 64222 [details]
ODP after described four steps
Comment 17 kitaets 2012-07-14 22:27:27 UTC
@Rainer

In last two hours I have done dozen tests, going crazy but don't now if this are two different bugs or not.
Sorry I was wrong about other OLE objects: they are not affected. I saw some issues but there are other issues, not current bug(s). Really sorry for that. So my bugs are about Writer OLE object in presentation and drawing documents.

You are completely right in description of the original problem. So this problem is about shifting the content of Writer OLE object. And this problem is 100% regression.
My additional comments to your description:
a) If you have created OLE object in older version of LibO (3.3.4) you can edit your document in new releases and save it and your object will stay "non-corrupted". But if you try to edit your OLE object it becomes corrupted.
b) If you create a new OLE object in new release it becomes corrupted "from the birth".
c) You can "repair" corrupted OLE object with older release and the container will match the text again.

Another problem is about resizing Writer OLE object. Try to resize OLE object in new attach to make it match the snaplines. You can increase the width but not reduce. Also you will see some visual issues. It works better in 3.3.4 (but not perfect) so I think this is regression too.

And the problem described here in Bug 51508 is a combination of #1 and #2. You can see this problem just when you are creating new Writer OLE object and trying to resize it before you finish the creation. When you finish the creation you will see that your object has wrong dimensions. All you need to reproduce is a blank document. That's why I gave screenshots. You can see the new-created Writer OLE object with wrong dimensions and positioning in the new attach.
Comment 18 Jochen 2012-07-25 16:11:05 UTC
Why status "NEEDINFO"?
Comment 19 kitaets 2012-07-25 21:06:00 UTC
(In reply to comment #18)
> Why status "NEEDINFO"?

I believe the reason is that Rainer is busy at the moment. He changed the status and asked me for additional information, so I've given it. Maybe I can do something?
Comment 20 Alex Thurgood 2012-07-26 05:46:37 UTC
Changing component to graphics stack, this has nothing to do with the database, although it could probably also go under framework.

Alex
Comment 21 Rainer Bielefeld Retired 2012-07-26 05:56:20 UTC
We already have at least 1 other report to a similar problem, as far as I remember this is a very old problem inherited from OOo, but during a first attempt I was not able to find the Bug.

I will get my research here finished until weekend, and indeed, on more info from reporter required
Comment 22 kitaets 2012-07-26 07:12:57 UTC
@ Rainer

1) Why UNCONFIRMED again? Valek has confirmed the bug in Comment 4.

2) What do you mean "more info from reporter required"? What do you need me to do?

3) Summary does not clearly describe the bug:
a) it's not only about Impress, it's about Draw too;
b) it's not about OLE object itself but about the content of the OLE object.
Comment 23 kitaets 2012-07-26 07:19:24 UTC
@ Rainer

Sorry, I confused 3a (it's not only about Impress...) with another bug.
Comment 24 Rainer Bielefeld Retired 2012-07-26 08:17:31 UTC
@kitaets: 
In Comment 21 please strike "on", insert "no". 

Please read
<https://wiki.documentfoundation.org/BugTriage#Process>  item 5
Comment 25 kitaets 2012-07-26 08:38:19 UTC
@Rainer

Ok, I will wait for the results of your research.

> ...as far as I remember this is a very old problem inherited from OOo.
Not so old. I use LibO 3.3.4.1 - the last release without this bug.
Comment 26 kitaets 2012-10-02 21:01:42 UTC
Just checked 3.5.6.2. No changes. Are there any news?
Comment 27 bfoman (inactive) 2013-01-28 11:39:27 UTC
If you all agree I would mark this one as DUP of bug 51119.
Comment 28 kitaets 2013-01-28 23:36:05 UTC
(In reply to comment #27)
> If you all agree I would mark this one as DUP of bug 51119.

_May_be_ this is about the same bug. But in bug 51119 they say about the pasting and this description is about creating and editing. So we don't really know if these are the same bug or not.
Comment 29 Jorendc 2013-05-31 20:29:14 UTC
I can confirm mentioned behavior, so I'm going to mark this one as NEW. Bug 51119 looks indeed like a dupe. It contains bugs of this one, but it also lists other bugs (like the gray unnecessary border). Therefore I think marking this bug as NEW is the only correct way to go.

Kind regards,
Joren
Comment 30 Philipp Weissenbacher 2014-08-15 15:15:19 UTC
Can you please test this with the newest version of LibreOffice Fresh?
Comment 31 kitaets 2014-08-16 04:02:47 UTC
(In reply to comment #30)
> Can you please test this with the newest version of LibreOffice Fresh?

Philipp, I've been waiting for TWO years. It is a shameful bug that was inserted in LibO by someone and didn't allow you to use OLE at all, but who on earth cared about it?
I just need to WORK, to edit my documents. So I've done a LOT of work to get rid of OLE in my documents. Time wasting but I had no another option. Now I don't care about this bug too.
Sorry, thank you.
Comment 32 Philipp Weissenbacher 2014-10-09 20:16:10 UTC
I can still reproduce this with 4.3.2.2 on Windows 7.

It only affects Writer (text) OLE objects, tested in Draw and Writer. In Draw you even see artifacts, just when moving the OLE object around.
Comment 33 Alex Thurgood 2015-01-03 17:38:17 UTC Comment hidden (no-value)
Comment 34 Matthew Francis 2015-01-26 14:05:26 UTC
One bug should contain one issue. Restating this bug for the first issue mentioned on comment 0. (See bug 88808 and bug 88809 for issues (2) and (3))

Issue (1), that the aspect ratio of an OLE text object in Draw is changed when resizing it while it is open for editing, will continue to be dealt with on this bug.

The issue does appear to be a regression, and probably introduced, or at least worsened during the range of the bibisect 43all repository. Frustratingly though, the exact point of origin defies identification. There is at least a range towards the beginning in which it appears to occur only intermittently.

-> Replaced Whiteboard:bibisectRequest with notBibisectable
-> Updated Summary to reflect the issue dealt with on this bug
Comment 35 Robinson Tryon (qubit) 2015-12-10 01:28:52 UTC Comment hidden (obsolete)
Comment 36 QA Administrators 2017-01-03 19:41:13 UTC Comment hidden (obsolete)
Comment 37 Xisco Faulí 2017-06-12 11:02:40 UTC
Changing version back to the earliest version affected.
Comment 38 Laurent BP 2017-07-28 17:03:33 UTC
NOT reproduced with:
- LibreOffice 3.3.4 
OOO330m19 (Build:401)
tag libreoffice-3.3.4.1

Confirmed with:
- LibreOffice 3.4.0 
OOO340m1 (Build:11
- Version: 5.3.4.2 (x64)
Build ID: f82d347ccc0be322489bf7da61d7e4ad13fe2ff3
Threads CPU : 4; Version de l'OS :Windows 6.1; UI Render : par défaut; Moteur de mise en page : nouveau; 
Locale : fr-FR (fr_FR); Calc: group
- Version: 5.4.0.3
Build ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
Threads CPU : 4; OS : Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR); Calc: CL
- Version: 6.0.0.0.alpha0+
Build ID: 18f80da7a689ab962735c0f657497b8f1ed4d606
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-07-28_05:19:39
Locale: fr-FR (fr_FR); Calc: CL
Comment 39 QA Administrators 2018-09-19 02:51:18 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug